--- a/src/pidgin-libnotify.c
+++ b/src/pidgin-libnotify.c
@@ -286,7 +286,15 @@
 		g_free (tr_body);
 		return;
 	}
+#ifdef NOTIFY_CHECK_VERSION
+#if NOTIFY_CHECK_VERSION (0, 7, 0)
+	notification = notify_notification_new (title, tr_body, NULL);
+#else
 	notification = notify_notification_new (title, tr_body, NULL, NULL);
+#endif
+#else
+	notification = notify_notification_new (title, tr_body, NULL, NULL);
+#endif
 	purple_debug_info (PLUGIN_ID, "notify(), new: "
 					 "title: '%s', body: '%s', buddy: '%s'\n",
 					 title, tr_body, best_name (buddy));
